
stations: 
  - Airport T1&2 (n12339155045)
  - Airport T5 (n12339155043)
  - Al Andalus (n12393813802)
  - Al Yarmuk (n12390612145)
  - As Salam (n12390617207)
  - Granadia (n12390617221)
  - Khurais Road (n12393747083)
  - Qasr Al Hokm (n12395509810)
  - SABIC (n12389972557)
  - Terminal 3-4 (n12339155044)
  - استاد الملك فهد (n12430736336)
  - البطحاء Al Bat'ha (n12389972675)
  - التخصصي At Takhassussi (n12396325414)
  - الجوزات (w936548204)
  - الحمراء Al Hamra (n12392081301)
  - الخليج (n12430721513)
  - الدار البيضاء (n12388804114)
  - الربيع (n12389972534)
  - السليمانية (n12389831237)
  - الضباب (n12389831236)
  - العزيزية (n12388804115)
  - المؤسسة العامة للتأمينات الاجتماعية (n12430128568)
  - المتحف الوطني (n12389972676)
  - المربع (w936548203)
  - المروج (n12338812518)
  - النزهة (n12430128572)
  - النسيم (n12390617208)
  - الورود Al Wurud (n12400413941)
  - الوزارات (n12423290044)
  - بنك البلاد (n12396325411)
  - جامعة الملك سعود King Saud University (n12398529070)
  - حي الملك فهد 2 (n12389972677)
  - د. سليمان الحبيب (n12388804116)
  - سيتي سينتر اشبيلية (n12430768946)
  - صلاح الدين (n12389831239)
  - طديق خالد بن الوليد (n12430775794)
  - طريق الملك عبدالعزيز King Abdulaziz Road (n12400413937)
  - طريق عثمان بن عفان (n12389972555)
  - محطة (n12393282811)
  - محطة الأول (w638634864)
  - محطة العروبة (w939573189)
  - محطة العود (w638609589)
  - محطة النقل العام (w768838161)
  - محطة الورود 2 (w939573190)
  - محطة جامعة الاميره نوره 1 (n12339129098)
  - محطة جامعة الاميره نوره 2 (n12339160752)
  - محطة حي الملك فهد (n12393282810)
  - محطة سكيرينه (w769035076)
  - محطة مستشفى الإيمان (w768840299)
  - محطة منفوحة (w768840300)
  - مدينة الملك عبد العزيز للعلوم والتقنية (n12430732327)
  - مركز الرياض للمعارض (n12430195368)
  - مركز الملك عبدالله المالي (n12389972535)
  - مصرف الانماء (n12393282812)
  - مكتبة الملك فهد (n12393282813)
  - ميدان أبو ظبي (w638639808)
  - نادي الضباط (n12389831235)
  - واحة الملك سلمان (n12406935607)
  - وزارة التعليم (n12353818506)
  - وزارة الداخلية (n12389972673)
  - وزارة الدفاع (n12389831234)
  - وزارة المالية (n12389831232)
  - وزاره البيئة والمياه والزراعة (n12389831233)

transfers: 
  - 
    - King Abdullah Financial District (r18359320)
    - King Abdullah Financial District (r18359321)
  - 
    - الحمراء Al Hamra (r18362831)
    - الحمراء Al Hamra (r18362832)
  - 
    - المتحف الوطني (r18359331)
    - المتحف الوطني (r18431266)
  - 
    - محطة (r18365223)
    - محطة (r18437787)
  - 
    - وزارة التعليم (r18359090)
    - وزارة التعليم (r18375586)

routes: 
  - 
    type: subway
    ref: 1
    name: Blue Line
    colour: '#00aee6'
    station_count: 25
    stations: 
      - محطة الأول
      - د. سليمان الحبيب Dr. Sulaiman Al Habib Group
      - King Abdullah Financial District
      - المروج
      - محطة حي الملك فهد
      - حي الملك فهد 2
      - محطة
      - محطة الورود 2
      - محطة العروبة
      - مصرف الانماء
      - بنك البلاد
      - مكتبة الملك فهد
      - وزارة الداخلية
      - المربع
      - الجوزات
      - المتحف الوطني
      - البطحاء
      - Qasr Al Hokm
      - محطة العود
      - محطة سكيرينه
      - محطة منفوحة
      - محطة مستشفى الإيمان
      - محطة النقل العام
      - العزيزية
      - الدار البيضاء

    itineraries: 
      r8857089: 
        - محطة الأول (w638634864)
        - د. سليمان الحبيب (n12388804116)
        - مركز الملك عبدالله المالي (n12389972535)
        - المروج (n12338812518)
        - محطة حي الملك فهد (n12393282810)
        - حي الملك فهد 2 (n12389972677)
        - محطة (n12393282811)
        - محطة الورود 2 (w939573190)
        - محطة العروبة (w939573189)
        - مصرف الانماء (n12393282812)
        - بنك البلاد (n12396325411)
        - مكتبة الملك فهد (n12393282813)
        - وزارة الداخلية (n12389972673)
        - المربع (w936548203)
        - الجوزات (w936548204)
        - المتحف الوطني (n12389972676)
        - البطحاء Al Bat'ha (n12389972675)
        - Qasr Al Hokm (n12395509810)
        - محطة العود (w638609589)
        - محطة سكيرينه (w769035076)
        - محطة منفوحة (w768840300)
        - محطة مستشفى الإيمان (w768840299)
        - محطة النقل العام (w768838161)
        - العزيزية (n12388804115)
        - الدار البيضاء (n12388804114)

      r17168709: 
        - الدار البيضاء (n12388804114)
        - العزيزية (n12388804115)
        - محطة النقل العام (w768838161)
        - محطة مستشفى الإيمان (w768840299)
        - محطة منفوحة (w768840300)
        - محطة سكيرينه (w769035076)
        - محطة العود (w638609589)
        - Qasr Al Hokm (n12395509810)
        - البطحاء Al Bat'ha (n12389972675)
        - المتحف الوطني (n12389972676)
        - الجوزات (w936548204)
        - المربع (w936548203)
        - وزارة الداخلية (n12389972673)
        - مكتبة الملك فهد (n12393282813)
        - بنك البلاد (n12396325411)
        - مصرف الانماء (n12393282812)
        - محطة العروبة (w939573189)
        - محطة الورود 2 (w939573190)
        - محطة (n12393282811)
        - حي الملك فهد 2 (n12389972677)
        - محطة حي الملك فهد (n12393282810)
        - المروج (n12338812518)
        - مركز الملك عبدالله المالي (n12389972535)
        - د. سليمان الحبيب (n12388804116)
        - محطة الأول (w638634864)


  - 
    type: subway
    ref: 2
    name: Red Line
    colour: '#ef3434'
    station_count: 15
    stations: 
      - جامعة الملك سعود King Saud University
      - واحة الملك سلمان
      - مدينة الملك عبد العزيز للعلوم والتقنية
      - التخصصي At Takhassussi
      - محطة
      - الورود Al Wurud
      - طريق الملك عبدالعزيز King Abdulaziz Road
      - وزارة التعليم
      - النزهة
      - محطة معارض الرياض
      - طديق خالد بن الوليد
      - الحمراء Al Hamra
      - الخليج
      - سيتي سينتر اشبيلية
      - استاد الملك فهد

    itineraries: 
      r8857429: 
        - جامعة الملك سعود King Saud University (n12398529070)
        - واحة الملك سلمان (n12406935607)
        - مدينة الملك عبد العزيز للعلوم والتقنية (n12430732327)
        - التخصصي At Takhassussi (n12396325414)
        - محطة (n12393282811)
        - الورود Al Wurud (n12400413941)
        - طريق الملك عبدالعزيز King Abdulaziz Road (n12400413937)
        - وزارة التعليم (n12353818506)
        - النزهة (n12430128572)
        - مركز الرياض للمعارض (n12430195368)
        - طديق خالد بن الوليد (n12430775794)
        - الحمراء Al Hamra (n12392081301)
        - الخليج (n12430721513)
        - سيتي سينتر اشبيلية (n12430768946)
        - استاد الملك فهد (n12430736336)

      r17169524: 
        - استاد الملك فهد (n12430736336)
        - سيتي سينتر اشبيلية (n12430768946)
        - الخليج (n12430721513)
        - الحمراء Al Hamra (n12392081301)
        - طديق خالد بن الوليد (n12430775794)
        - مركز الرياض للمعارض (n12430195368)
        - النزهة (n12430128572)
        - وزارة التعليم (n12353818506)
        - طريق الملك عبدالعزيز King Abdulaziz Road (n12400413937)
        - الورود Al Wurud (n12400413941)
        - محطة (n12393282811)
        - التخصصي At Takhassussi (n12396325414)
        - مدينة الملك عبد العزيز للعلوم والتقنية (n12430732327)
        - واحة الملك سلمان (n12406935607)
        - جامعة الملك سعود King Saud University (n12398529070)


  - 
    type: subway
    ref: 4
    name: 'المسار 4 - الخط الأصفر'
    colour: '#ffd009'
    station_count: 9
    stations: 
      - King Abdullah Financial District
      - Ar Rabi
      - Uthman Bin Affan
      - SABIC
      - PNU 1
      - PNU 2
      - Airport T5
      - Terminal 3-4
      - Terminal 1-2

    itineraries: 
      r8857389: 
        - مركز الملك عبدالله المالي (n12389972535)
        - الربيع (n12389972534)
        - طريق عثمان بن عفان (n12389972555)
        - SABIC (n12389972557)
        - محطة جامعة الاميره نوره 1 (n12339129098)
        - محطة جامعة الاميره نوره 2 (n12339160752)
        - Airport T5 (n12339155043)
        - Terminal 3-4 (n12339155044)
        - Airport T1&2 (n12339155045)

      r18367296: 
        - Airport T1&2 (n12339155045)
        - Terminal 3-4 (n12339155044)
        - Airport T5 (n12339155043)
        - محطة جامعة الاميره نوره 2 (n12339160752)
        - محطة جامعة الاميره نوره 1 (n12339129098)
        - SABIC (n12389972557)
        - طريق عثمان بن عفان (n12389972555)
        - الربيع (n12389972534)
        - مركز الملك عبدالله المالي (n12389972535)


  - 
    type: subway
    ref: 5
    name: Green Line
    colour: '#008000'
    station_count: 12
    stations: 
      - وزارة التعليم
      - صلاح الدين
      - السليمانية
      - الضباب
      - ميدان أبو ظبي
      - نادي الضباط
      - المؤسسة العامة للتأمينات الاجتماعية
      - الوزارات
      - وزارة الدفاع
      - وزاره البيئة والمياه والزراعة
      - وزارة المالية
      - المتحف الوطني

    itineraries: 
      r8857090: 
        - وزارة التعليم (n12353818506)
        - صلاح الدين (n12389831239)
        - السليمانية (n12389831237)
        - الضباب (n12389831236)
        - ميدان أبو ظبي (w638639808)
        - نادي الضباط (n12389831235)
        - المؤسسة العامة للتأمينات الاجتماعية (n12430128568)
        - الوزارات (n12423290044)
        - وزارة الدفاع (n12389831234)
        - وزاره البيئة والمياه والزراعة (n12389831233)
        - وزارة المالية (n12389831232)
        - المتحف الوطني (n12389972676)

      r18359081: 
        - المتحف الوطني (n12389972676)
        - وزارة المالية (n12389831232)
        - وزاره البيئة والمياه والزراعة (n12389831233)
        - وزارة الدفاع (n12389831234)
        - الوزارات (n12423290044)
        - المؤسسة العامة للتأمينات الاجتماعية (n12430128568)
        - نادي الضباط (n12389831235)
        - ميدان أبو ظبي (w638639808)
        - الضباب (n12389831236)
        - السليمانية (n12389831237)
        - صلاح الدين (n12389831239)
        - وزارة التعليم (n12353818506)


  - 
    type: subway
    ref: 6
    name: Purple Line
    colour: '#7f00ff'
    station_count: 11
    stations: 
      - النسيم
      - As Salam
      - Khurais Road
      - Al Andalus
      - الحمراء Al Hamra
      - Al Yarmuk
      - Granadia
      - SABIC
      - Uthman Bin Affan
      - Ar Rabi
      - King Abdullah Financial District

    itineraries: 
      r8857388: 
        - النسيم (n12390617208)
        - As Salam (n12390617207)
        - Khurais Road (n12393747083)
        - Al Andalus (n12393813802)
        - الحمراء Al Hamra (n12392081301)
        - Al Yarmuk (n12390612145)
        - Granadia (n12390617221)
        - SABIC (n12389972557)
        - طريق عثمان بن عفان (n12389972555)
        - الربيع (n12389972534)
        - مركز الملك عبدالله المالي (n12389972535)

      r18360763: 
        - مركز الملك عبدالله المالي (n12389972535)
        - الربيع (n12389972534)
        - طريق عثمان بن عفان (n12389972555)
        - SABIC (n12389972557)
        - Granadia (n12390617221)
        - Al Yarmuk (n12390612145)
        - الحمراء Al Hamra (n12392081301)
        - Al Andalus (n12393813802)
        - Khurais Road (n12393747083)
        - As Salam (n12390617207)
        - النسيم (n12390617208)



